<article class="text-gray-800 sm:mx-12 first:pt-0 last:pb-0 py-12">
  <div class="flex flex-col justify-start">
    <div class="flex flex-col lg:flex-row justify-between my-5">
      <h1 class="m-0 mb-5 text-5xl font-light"><a href="{{ .Permalink }}">{{ .Title }}</a></h1>
      <div class="lg:ml-5 flex flex-col">
        {{ with .Lastmod }}
          <p class="{{- with not $.Site.Params.showTags  -}}lg:pt-5 {{ end -}}text-lg lg:text-right lg:text-xl font-light m-0">Updated {{ dateFormat "Monday, Jan 2, 2006" . }}</p>
        {{ end }}
        {{- with $.Site.Params.showTags  -}}
          <div class="my-2">
            {{ range $tag := $.Params.tags  }}
              <a
                class="ring my-2 mx-2 ml-1 text-md no-underline py-0.5 px-1 inline-block"
                href="{{ ($.Site.GetPage (printf "/tags/%s" $tag)).Permalink }}"
              >
                {{ $tag | title }}
              </a>
            {{ end  }}
          </div>
        {{- end -}}
      </div>
    </div>

  </div>
  <!--
       prose is very demanding.  The only way I've found to override basic css
       properties on an element with the prose class is to use style="margin: 0
       !important" or other such nonsense.  So keep it around for the actual
       content.  Otherwise avoid.
  -->
  <div class="prose lg:prose-lg prose-blue mt-4">
    {{- if .Params.Cover -}}
      {{- $coverURL := printf "%s%s/%s" .Site.BaseURL .Site.Params.CoverPrefix .Params.Cover -}}
      {{- if not (strings.Contains .RawContent (path.Base .Params.Cover) ) -}}
        <img class="my-5 h-48 max-h-full" src="{{- $coverURL -}}"/>
      {{- end -}}
    {{- end -}}
    {{ .Content }}
  </div>
</article>
